package body MSHTML.IHTMLPerformanceTiming_Object is

   function Get_navigationStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_navigationStart);
   end Get_navigationStart;

   function Get_unloadEventStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_unloadEventStart);
   end Get_unloadEventStart;

   function Get_unloadEventEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_unloadEventEnd);
   end Get_unloadEventEnd;

   function Get_redirectStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_redirectStart);
   end Get_redirectStart;

   function Get_redirectEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_redirectEnd);
   end Get_redirectEnd;

   function Get_fetchStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_fetchStart);
   end Get_fetchStart;

   function Get_domainLookupStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domainLookupStart);
   end Get_domainLookupStart;

   function Get_domainLookupEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domainLookupEnd);
   end Get_domainLookupEnd;

   function Get_connectStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_connectStart);
   end Get_connectStart;

   function Get_connectEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_connectEnd);
   end Get_connectEnd;

   function Get_requestStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_requestStart);
   end Get_requestStart;

   function Get_responseStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_responseStart);
   end Get_responseStart;

   function Get_responseEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_responseEnd);
   end Get_responseEnd;

   function Get_domLoading
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domLoading);
   end Get_domLoading;

   function Get_domInteractive
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domInteractive);
   end Get_domInteractive;

   function Get_domContentLoadedEventStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domContentLoadedEventStart);
   end Get_domContentLoadedEventStart;

   function Get_domContentLoadedEventEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domContentLoadedEventEnd);
   end Get_domContentLoadedEventEnd;

   function Get_domComplete
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_domComplete);
   end Get_domComplete;

   function Get_loadEventStart
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_loadEventStart);
   end Get_loadEventStart;

   function Get_loadEventEnd
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_loadEventEnd);
   end Get_loadEventEnd;

   function Get_msFirstPaint
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLPerformanceTiming_Get_msFirstPaint);
   end Get_msFirstPaint;

   function toString
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLPerformanceTiming_toString);
   end toString;

   function toJSON
     (This : IHTMLPerformanceTiming_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Invoke (This, IHTMLPerformanceTiming_toJSON);
   end toJSON;

end MSHTML.IHTMLPerformanceTiming_Object;

